package goods_category_add

import (
	"ai_scheduler/internal/config"
	"context"
	"fmt"
	"testing"
)

// Test_Call
func Test_Call(t *testing.T) {
	req := &GoodsCategoryAddRequest{
		GoodsId:     8496,
		CategoryIds: []int{1667},
		IsCover:     false,
	}

	cfg := config.ToolConfig{
		BaseURL: "https://gateway.dev.cdlsxd.cn/goods-admin/api/v1/good/category/relation/add",
	}

	client := New(cfg)
	toolResp, err := client.Call(context.Background(), req)

	if err != nil {
		t.Errorf("Call() error = %v", err)
		return
	}

	fmt.Printf("toolResp: %v\n", toolResp)
}
